Bug 1598538 (CVE-2018-12372) - CVE-2018-12372 thunderbird: S/MIME and PGP decryption oracles can be built with HTML emails
Summary: CVE-2018-12372 thunderbird: S/MIME and PGP decryption oracles can be built wi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12372
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1598539 1598540 1598644 1598645 1598646 1607204
Blocks: 1596475
TreeView+ depends on / blocked
 
Reported: 2018-07-05 18:23 UTC by Laura Pardo
Modified: 2019-09-29 14:43 UTC (History)
11 users (show)

Fixed In Version: thunderbird 52.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:31:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:35:06 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:34:23 UTC

Description Laura Pardo 2018-07-05 18:23:18 UTC
A flaw was found in Mozilla Thunderbird before version 52.9. Decrypted S/MIME parts, when included in HTML crafted for an attack, can leak plaintext when included in a a HTML reply/forward.


References:
https://www.mozilla.org/en-US/security/advisories/mfsa2018-18/#CVE-2018-12372

Comment 1 Laura Pardo 2018-07-05 18:23:48 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1598539]

Comment 5 errata-xmlrpc 2018-07-24 21:34:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 6 errata-xmlrpc 2018-07-24 21:34:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.